package com.qmth.teachcloud.report.business.enums;

/**
 * @Description: 分数段登记
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/6/10
 */
public enum PiecewiseScopeEnum {
    TOP_10("[90,100)", "TOP10", "全体百分等级大于等于10的人数比例"),
    HIGH_SUB_LEVEL("[75,100)", "高分段", "全体百分等级大于等于75的人数比例，包含TOP10；"),
    Good("[50,75)", "良好", "百分等级小于75，大于等于50的人数比例；"),
    MEDIUM("[25,50)", "中等", "全体百分等级小于50，大于等于25的人数比例；"),
    LOW_SUB_LEVEL("[0,25)", "低分段", "全体百分等级低于25的人数比例；");

    PiecewiseScopeEnum(String scope, String name, String remark) {
        this.scope = scope;
        this.name = name;
        this.remark = remark;
    }

    private final String scope;
    private final String name;
    private final String remark;

    public String getScope() {
        return scope;
    }

    public String getName() {
        return name;
    }

    public String getRemark() {
        return remark;
    }
}
